import RoomBuilder from '../../../engine/builders/room';

export default new RoomBuilder()
.withID("start")
.withTitle("A small spherical alcove")
.withFirstDescription(
`You find yourself in a small, spherical alcove. It feels cold and dark, save from a dim glow which seems to be eluminating the area from the north.
The surface appears to be unnaturally smooth, as if melted away using acidic means. It's warm to the touch.`
)
.withDescription(
`A spherical alcove. The smooth surface appears to be melted away using acidic means. There's a dim glow shining in from the north.`
)
.withExit("north", "tunnel1")
.withEnterCallback(async function(context) {
    if (context.state.get("start.awoken")) return;
    const { output, wait } = context;
    context.enableCommandInput(false);
    // await context.tell([
        // "You slowly wake up.",
        // "you're not sure if you were ever conscious about waking up, but right now, you're clearly aware that you were previously asleep.",
        // "In fact, a lot of your thoughts seem foreign to you.",
        // "You're not sure how to feel about this.",
        // "God the headache...",
        // "OK, time to think about this.",
        // "Huh, something else you never did before.",
        // "Where are you?",
        // "You reach up and touch your head.",
        // "OK, that seems to be in order. Your antennae are still there, your mouth parts seem in tact...",
        // "Hmm. All this is strange.",
        // "No use sitting around. You get up and slowly examine your surroundings."
    // ], 3000);
    context.enableCommandInput(true);
    context.state.set("start.awoken", true);
})
.withItem("cup")
.create();